Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::BufferedDeletes Class Reference

Holds buffered deletes, by docID, term or query. We hold two instances of this class: one for the deletes prior to the last flush, the other for deletes after the last flush. This is so if we need to abort (discard all buffered docs) we can also discard the buffered deletes yet keep the deletes done during previously flushed segments. More...

`#include <BufferedDeletes.h>`

Inheritance diagram for Lucene::BufferedDeletes:

## Public Member Functions

| BufferedDeletes (bool doTermSort)
virtual | ~BufferedDeletes ()
virtual String | getClassName ()
boost::shared_ptr< BufferedDeletes > | shared_from_this ()
int32_t | size ()
void | update (const BufferedDeletesPtr &in)
void | clear ()
void | addBytesUsed (int64_t b)
bool | any ()
void | remap (const MergeDocIDRemapperPtr &mapper, const SegmentInfosPtr &infos, Collection< Collection< int32_t > > docMaps, Collection< int32_t > delCounts, const OneMergePtr &merge, int32_t mergedDocCount)
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

int32_t | numTerms
MapTermNum | terms
MapQueryInt | queries
Collection< int32_t > | docIDs
int64_t | bytesUsed

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Holds buffered deletes, by docID, term or query. We hold two instances of this class: one for the deletes prior to the last flush, the other for deletes after the last flush. This is so if we need to abort (discard all buffered docs) we can also discard the buffered deletes yet keep the deletes done during previously flushed segments.

## Constructor & Destructor Documentation

## ◆ BufferedDeletes()

Lucene::BufferedDeletes::BufferedDeletes | ( | bool | doTermSort | ) |

## ◆ ~BufferedDeletes()

virtual Lucene::BufferedDeletes::~BufferedDeletes | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::BufferedDeletes::_getClassName | ( |  | ) |

inline static

## ◆ addBytesUsed()

void Lucene::BufferedDeletes::addBytesUsed | ( | int64_t | b | ) |

## ◆ any()

bool Lucene::BufferedDeletes::any | ( |  | ) |

## ◆ clear()

void Lucene::BufferedDeletes::clear | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::BufferedDeletes::getClassName | ( |  | ) |

inline virtual

## ◆ remap()

void Lucene::BufferedDeletes::remap | ( | const MergeDocIDRemapperPtr & | mapper,
|  | const SegmentInfosPtr & | infos,
|  | Collection< Collection< int32_t > > | docMaps,
|  | Collection< int32_t > | delCounts,
|  | const OneMergePtr & | merge,
|  | int32_t | mergedDocCount
| ) |  |

## ◆ shared_from_this()

boost::shared_ptr< BufferedDeletes > Lucene::BufferedDeletes::shared_from_this | ( |  | ) |

inline

## ◆ size()

int32_t Lucene::BufferedDeletes::size | ( |  | ) |

## ◆ update()

void Lucene::BufferedDeletes::update | ( | const BufferedDeletesPtr & | in | ) |

## Field Documentation

## ◆ bytesUsed

int64_t Lucene::BufferedDeletes::bytesUsed

## ◆ docIDs

Collection<int32_t> Lucene::BufferedDeletes::docIDs

## ◆ numTerms

int32_t Lucene::BufferedDeletes::numTerms

## ◆ queries

MapQueryInt Lucene::BufferedDeletes::queries

## ◆ terms

MapTermNum Lucene::BufferedDeletes::terms

The documentation for this class was generated from the following file:

- BufferedDeletes.h

clucene.sourceforge.net